## uae 0.8.29-1

=== Makefile ===
#
# Top-level Makefile for UAE
#

SHELL=/bin/sh
INSTALL=/scratchbox/tools/bin/install -c
INSTALL_PROGRAM=${INSTALL}

prefix          = /usr
datarootdir     = ${prefix}/share
datadir         = ${datarootdir}
exec_prefix     = ${prefix}
bindir          = ${exec_prefix}/bin
libdir          = ${exec_prefix}/lib
sysconfdir      = ${prefix}/etc
top_srcdir	= .

mkinstalldirs=$(SHELL) $(top_srcdir)/mkinstalldirs

CONFIGS = a500 a500-expanded a500plus a1200 a4000 poweruser

all:
	cd src && $(MAKE)
	cp src/uae .
	cp src/readdisk .

install:
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	$(mkinstalldirs) $(DESTDIR)$(datadir)/uae/roms
	$(mkinstalldirs) $(DESTDIR)$(datadir)/uae/configs
	for x in $(CONFIGS); do \
		$(INSTALL) --mode=0644 $(top_srcdir)/configs/$$x.uae $(DESTDIR)$(datadir)/uae/configs; \
	done
	$(INSTALL_PROGRAM) uae $(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) readdisk $(DESTDIR)$(bindir)

clean:
	cd src && $(MAKE) clean
	rm -f uae readdisk 

streifenfrei:
	cd src && $(MAKE) streifenfrei
	rm -f uae readdisk
	rm -f config.cache config.log config.status Makefile
	rm -f confdefs.h

=== src/Makefile ===
#
# Makefile.in for UAE
#


CC        = arm-linux-gnueabi-gcc
WRC       = not-found
CPP       = arm-linux-gnueabi-gcc -E
LDFLAGS   = -Wl,-z,defs -L.
CFLAGS    = -O2 -fomit-frame-pointer  -Wall -Wno-unused -Wno-format -W -Wmissing-prototypes -Wstrict-prototypes   -DUSING_GTK_GUI -I/home/smoku/Projects/uae-m/src/gui-gtk -DREGPARAM= -DUSE_ZFILE -DSUPPORT_THREADS -D_REENTRANT -D__inline__=inline \
		-DSYSTEM_ROMDIR=\"$(datadir)/uae/roms\" \
		-DSYSTEM_CFGDIR=\"$(datadir)/uae/configs\"
X_CFLAGS  =  -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -DSHM_SUPPORT_LINKS=1
TARGET    = x11
LIBRARIES =   -lSM -lICE -lXext -lX11   -lasound -lpthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
MATHLIB   = -lm
RESOBJS   = 

NO_SCHED_CFLAGS = 

INSTALL         = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA    = ${INSTALL} -m 644
prefix          = /usr
datarootdir     = ${prefix}/share
datadir         = ${datarootdir}
exec_prefix     = ${prefix}
bindir          = ${exec_prefix}/bin
libdir          = ${exec_prefix}/lib
sysconfdir      = ${prefix}/etc

VPATH = ../src

.SUFFIXES: .o .c .h .m .i .S .rc .res

#.SECONDARY: cpuemu.c cpustbl.c cputbl.h

INCLUDES=-I. -I../src/include/

OBJS =  main.o newcpu.o memory.o cpuemu.o custom.o cia.o serial.o blitter.o \
	autoconf.o ersatz.o filesys.o hardfile.o keybuf.o expansion.o zfile.o \
	fpp.o readcpu.o cpudefs.o gfxutil.o traps.o blitfunc.o blittable.o \
	gayle.o rommgr.o disk.o audio.o drawing.o cpustbl.o inputdevice.o \
	uaelib.o picasso96.o uaeexe.o bsdsocket.o bsdsocket-posix-new.o \
	missing.o \
	sd-sound.o od-joy.o md-support.o \
	fsusage.o cfgfile.o native2amiga.o fsdb.o identify.o timemgr.o crc32.o \
	savestate.o writelog.o \
	hotkeys.o keymap/keymap.o keymap/x11pc_rawkeys.o \
	sinctable.o \
	 xwin.o x11keys.o  guidep/gtkui.o guidep/util.o debug.o scsi-none.o fsdb_unix.o


all: $(TARGET)

x11: progs

svgalib: progs

win32: progs $(RESOBJS)
	$(WRC) $(RESOBJS) uae.exe

ggilib: progs

asciiart: progs

amigaos: progs

p_os: progs

beos: progs

next: progs
	cp uae ../Uae.app/Uae

progs: uae readdisk

install:

readdisk: readdisk.o missing.o
	$(CC) readdisk.o missing.o -o readdisk $(LDFLAGS) $(DEBUGFLAGS)

uae: $(OBJS)
	$(CC) $(OBJS) -o uae $(GFXLDFLAGS) $(LDFLAGS) $(DEBUGFLAGS) $(LIBRARIES) $(MATHLIB)

clean:
	$(MAKE) -C tools clean
	-rm -f $(OBJS) *.o uae readdisk
	-rm -f blit.h cpudefs.c
	-rm -f cpuemu.c build68k cputmp.s cpustbl.c cputbl.h
	-rm -f blitfunc.c blitfunc.h blittable.c

halfclean:
	-rm -f $(OBJS)

streifenfrei: clean
	$(MAKE) -C tools streifenfrei
	-rm -f Makefile sysconfig.h
	-rm -f od-joy.c md-X86.S sd-sound.c md-support.c
	-rm -f machdep osdep threaddep sounddep target.h
	-rm -f md-fpp.h

blit.h: tools/genblitter
	./tools/genblitter i >blit.h
blitfunc.c: tools/genblitter blitfunc.h
	./tools/genblitter f >blitfunc.c
blitfunc.h: tools/genblitter
	./tools/genblitter h >blitfunc.h
blittable.c: tools/genblitter blitfunc.h
	./tools/genblitter t >blittable.c

tools/genblitter:
	$(MAKE) -C tools genblitter
tools/build68k:
	$(MAKE) -C tools build68kc
tools/gencpu: 
	$(MAKE) -C tools gencpu

custom.o: blit.h
drawing.o: linetoscr.c

cpudefs.c: tools/build68k ../src/table68k
	./tools/build68k <../src/table68k >cpudefs.c

cpuemu.c: tools/gencpu
	./tools/gencpu

# gencpu also creates cpustbl.c and cputbl.h
cpustbl.c: cpuemu.c
cputbl.h: cpuemu.c

console_missing.o: missing.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $(CFLAGS_$@) $< -o $@

osdep/beos.o: osdep/beos.cpp
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) osdep/beos.cpp -o osdep/beos.o

.rc.res:
	$(WRC) $(INCLUDES) $<
.m.o:
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $<
.c.o:
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $(CFLAGS_$@) $< -o $@
.c.s:
	$(CC) $(INCLUDES) -S $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@
.c.i:
	$(CC) $(INCLUDES) -E $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< > $@
.S.o:
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@
.s.o:
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@

# Saves recompiling...
touch:
	touch *.o; touch build68k; touch cpudefs.c; touch cpudefs.o; touch gencpu; touch cpuemu.c; touch cpuemu.o

build68k.o: include/readcpu.h
readcpu.o: include/readcpu.h

cia.o: include/events.h
custom.o: include/events.h blit.h
newcpu.o: include/events.h
audio.o: include/events.h
disk.o: include/events.h
blitter.o: include/events.h blit.h

# sam: this is for people with low memory. (is there a way do do this with a single rule ?)
cpuemu1.o: cpuemu.c
	$(CC) -DPART_1 $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@
cpuemu2.o: cpuemu.c
	$(CC) -DPART_2 $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@
cpuemu3.o: cpuemu.c
	$(CC) -DPART_3 $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@
cpuemu4.o: cpuemu.c
	$(CC) -DPART_4 $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@
cpuemu5.o: cpuemu.c
	$(CC) -DPART_5 $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@
cpuemu6.o: cpuemu.c
	$(CC) -DPART_6 $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@
cpuemu7.o: cpuemu.c
	$(CC) -DPART_7 $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@
cpuemu8.o: cpuemu.c
	$(CC) -DPART_8 $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@

=== src/tools/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile.in for UAE tools
#


CC        = gcc
LDFLAGS   = -Wl,-z,defs -L.
CFLAGS    = -Wall -g -O2 -D__inline__=inline -DUAE_CONSOLE
LIBRARIES = 

INSTALL         = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA    = @INSTALL_DATA@
prefix          = /usr/local
exec_prefix     = ${prefix}
bindir          = ${exec_prefix}/bin
libdir          = ${exec_prefix}/lib
sysconfdir      = ${prefix}/etc

VPATH = /home/smoku/Projects/uae-m/src/tools

.SUFFIXES: .o .c .h .m .i .S

INCLUDES=-I. -I/home/smoku/Projects/uae-m/src/tools/../include/ -I/home/smoku/Projects/uae-m/src/tools

all: gencpu build68k genblitter cpuopti

install:


clean:
	-rm -f *.o cpudefs.c lientoscr.c
	-rm -f gencpu genblitter cpuopti build68k


streifenfrei: clean
	rm -f Makefile config.* sysconfig.h

genblitter: genblitter.o blitops.o writelog.o
	$(CC) $(LDFLAGS) -o genblitter genblitter.o blitops.o writelog.o
build68k: build68k.o writelog.o
	$(CC) $(LDFLAGS) -o build68k build68k.o writelog.o
cpuopti: cpuopti.o writelog.o
	$(CC) $(LDFLAGS) -o cpuopti cpuopti.o writelog.o
gencpu: gencpu.o readcpu.o cpudefs.o missing.o writelog.o
	$(CC) $(LDFLAGS) -o gencpu gencpu.o readcpu.o cpudefs.o missing.o writelog.o

custom.o: blit.h
drawing.o: linetoscr.c

cpudefs.c: build68k /home/smoku/Projects/uae-m/src/tools/../table68k
	./build68k </home/smoku/Projects/uae-m/src/tools/../table68k >cpudefs.c

# Normally I'd move the programs into this directory, but given that CVS
# sucks I have no choice but to leave them in their previous directory.
missing.o: /home/smoku/Projects/uae-m/src/tools/../missing.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/smoku/Projects/uae-m/src/tools/../missing.c -o $@
readcpu.o: /home/smoku/Projects/uae-m/src/tools/../readcpu.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/smoku/Projects/uae-m/src/tools/../readcpu.c -o $@
writelog.o: /home/smoku/Projects/uae-m/src/tools/../writelog.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/smoku/Projects/uae-m/src/tools/../writelog.c -o $@
genblitter.o: /home/smoku/Projects/uae-m/src/tools/../genblitter.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/smoku/Projects/uae-m/src/tools/../genblitter.c -o $@
gencpu.o: /home/smoku/Projects/uae-m/src/tools/../gencpu.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/smoku/Projects/uae-m/src/tools/../gencpu.c -o $@
build68k.o: /home/smoku/Projects/uae-m/src/tools/../build68k.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/smoku/Projects/uae-m/src/tools/../build68k.c -o $@
blitops.o: /home/smoku/Projects/uae-m/src/tools/../blitops.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/smoku/Projects/uae-m/src/tools/../blitops.c -o $@
cpuopti.o: /home/smoku/Projects/uae-m/src/tools/../cpuopti.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/smoku/Projects/uae-m/src/tools/../cpuopti.c -o $@

.c.o:
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $(CFLAGS_$@) $< -o $@
.c.s:
	$(CC) $(INCLUDES) -S $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@
.c.i:
	$(CC) $(INCLUDES) -E $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< > $@

## uae 0.8.29

=== debian/changelog ===
uae (0.8.29-7) unstable; urgency=low

  * [311f422] rules: Force ALSA for OS=linux only. (Closes: #571967) -
    thanks to Cyril Brulebois

 -- Stephan Sürken <absurd@debian.org>  Sun, 28 Feb 2010 19:28:34 +0100

uae (0.8.29-6) unstable; urgency=low

  * [7a68fee] rules/control: Explicitly compile sound '--with-alsa' (was
    'oss' per default)

 -- Stephan Sürken <absurd@debian.org>  Sun, 28 Feb 2010 16:32:41 +0100

uae (0.8.29-5) unstable; urgency=low

  * [f2ae4df] Update to "3.0 (quilt)"
  * [bcfeda2] rules: Install configs to /usr/share/uae; this will enable
    the preset list in the GUI.
  * [e46f193] Update to stds-ver 3.8.4 (no changes needed).
  * [10d65e5] Remove README.source (obsolete with 3.0 quilt).

 -- Stephan Sürken <absurd@debian.org>  Wed, 24 Feb 2010 17:23:05 +0100

uae (0.8.29-4) unstable; urgency=low

  * [87b09dd] rules: Remove useless header comments
  * [46bb408] Add a desktop file

 -- Stephan Sürken <absurd@debian.org>  Sat, 12 Sep 2009 14:48:23 +0200

uae (0.8.29-3) unstable; urgency=low

  * [4d8247f] rules+control: b-d on autotools-dev, and update
    config.guess|sub.
  * [62a3adf] control: Update to std-ver 3.8.3 (no changes needed).
  * [a51ac1c] Patch makefile_more_cleaning: Update to rm new forgoten
    "src/guidep" (rm from rules).
  * [98d5528] rules: Clean up readdisk renaming.

 -- Stephan Sürken <absurd@debian.org>  Thu, 27 Aug 2009 21:52:35 +0200

uae (0.8.29-2) unstable; urgency=low

  * [170f9ec] control: Fix: ue to UTF-8 'ü' in maintainer name to make
    it the same as what I use elsewhere.
  * [4da9f9b] Adding a watch file.
  * Update to debhelper 7 (sequences+overrides) greatly simplifying rules
    (git commits skipped).
  * [6c82ddc] control: Fix: Add misc:Depends for uae[-dbg].

 -- Stephan Sürken <absurd@debian.org>  Thu, 20 Aug 2009 20:34:51 +0000

uae (0.8.29-1) unstable; urgency=low

  * changelog+control: Fix/sync maintainer name.
  * Imported Upstream version 0.8.29
  * Remove bashism from uae-confwrap example.
  * Migrated to git: update Vcs fields in control.
  * Update std-ver to 3.8.2: Update -dbg pkg's section to contrib/debug.
  * rules: clean: remove "src/guidep", not cleaned properly by upstream.

 -- Stephan Sürken <absurd@debian.org>  Fri, 31 Jul 2009 09:58:24 +0000

uae (0.8.28-3) unstable; urgency=low

  * patches: Rename powerpc_rpt_available powerpc_machdep_init.
  * patches: ppc: Still ftbfs ppc. Afaics, the whole machdep_init is now
    obsoleted (like for arch i386), but forgotten to be updated for
    ppc: Commenting the whole code like for i386 (cant really test this).
  * copyright: Cosmetics.
  * Add a README.source.

 -- Stephan Suerken <absurd@debian.org>  Sat, 05 Jul 2008 13:14:51 +0000

uae (0.8.28-2) unstable; urgency=low

  * patches: Add patch powerpc_rpt_available.diff (proposed fix
    for FTBFS on powerpc).
  * Remove obsolete README-0.7.6 and README-UNIX-0.7.6 from docs.
  * Remove redundant debian/docs file.
  * Bump debhelper compat to 5 (no changes needed).
  * Add a -dbg package.
  * rules: Remove redundant --all from dh_* commands.
  * control/rules: Remove uneeded build-dep to autotools-dev, and remove
    the commented code fragments from rules.
  * rules: Don't ignore failures on "streifenfrei" (~=distclean).
  * rules: Also install example configs to docs.
  * Depend on x11proto-core-dev instead of obsoleted x-dev.
  * Depend on x11-utils instead of obsoleted xutils.
  * control: Update to standards version 3.8.0:
     - copyright: Add note for section contrib.
  * README.Debian: Fix name (was README.debian).
  * README.Debian: Clean up and add an updated "uae vs e-uae" section.

 -- Stephan Suerken <absurd@debian.org>  Sat, 28 Jun 2008 13:27:24 +0000

uae (0.8.28-1) unstable; urgency=low

  * rules: Fix bashisms (from 0.8.25-6ubuntu1).
  * New upstream: 0.8.28
    Obsolete patches removed for good:
     - close_window_hack (ui rewrite).
     - memory_leaks_in_gui (ui rewrite).
     - fix_save_config_fix (fixed upstream).
     - fix_static_declarations (no compilation issues noticed).
    Updated patches:
     - allow_spaces_in_zip_filenames.diff
     - makefile_more_cleaning.diff
     - struct_uae_wrong_fields_name.diff
     - uae_reset_args.diff
    Use of SDL gfx is now recommended:
     - rules: Configure with "--with-sdl-gfx".
     - control: Add Build-dep libsdl1.2-dev.
    [sdl sound still too unstable]
  * Removing unused/broken patch
    preserve_home_in_writing_optionsfile.diff for good.

 -- Stephan Suerken <absurd@debian.org>  Sun, 08 Jun 2008 18:26:42 +0000

uae (0.8.25-7) unstable; urgency=low

  * Update to standards version 3.7.3:
    * Fix menu entry from "Apps/Emulators" to "Applications/Emulators".
  * Add Homepage entry to control; remove from description (fixes lintian
    error).
  * copyright: Update and pimp style to recommendations; change to UTF-8
    using correct copyright char (fixes lintian warning).

 -- Stephan Suerken <absurd@debian.org>  Sat, 17 May 2008 18:01:13 +0000

uae (0.8.25-6) unstable; urgency=low

  * Moving pkg development to alioth, collab-maint.
  * control: Add Xs-Vcs-Svn and -Browser information.

 -- Stephan A Suerken <absurd@debian.org>  Sun, 05 Aug 2007 12:14:47 +0000

uae (0.8.25-5) unstable; urgency=medium

  * Remove workaround to build w/ gcc-4.0 (no longer in etch) on i386;
    the bug causing the workaround is fixed in (etch's) gcc 4.1.
    (Closes: #414755).

 -- Stephan A Suerken <absurd@debian.org>  Wed, 14 Mar 2007 18:55:39 +0000

uae (0.8.25-4) unstable; urgency=low

  * Update/fix uae-confwrap example script.
  * Disabling preserve_home_in_writing_optionsfile.diff patch - code
    srcpys randomly w/ possibly random effects. Thanks to Steve Langasek
    hints. Hopefully (closes: #393149).

 -- Stephan A Suerken <absurd@debian.org>  Fri,  3 Nov 2006 21:07:08 +0000

uae (0.8.25-3) unstable; urgency=low

  * README.debian: Change note, referring to new package e-uae in experimental.
  * Remove now obsolete "postinst" file.


=== debian/control ===
Source: uae
Section: contrib/otherosfs
Priority: optional
Maintainer: Stephan Sürken <absurd@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~), quilt, autotools-dev,
  libx11-dev, libxt-dev, libxext-dev, x11proto-core-dev, x11-utils, libgtk2.0-dev, libglib2.0-dev, libasound2-dev, libsdl1.2-dev
Homepage: http://uae.coresystems.de/
Vcs-Git: git://git.debian.org/git/collab-maint/uae.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/uae.git;a=summary

Package: uae
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Ubiquitous Amiga Emulator
 UAE is a 100% software Amiga (500) hardware emulator.
 .
 NOTE: For "proper" use of UAE, you need some version of the Kickstart
 ROM, and some OS running on top of this (most likely some version of
 the Amiga OS). Both don't comply to the DFSG (to say the least)
 and must be obtained from other sources. There is information in the
 package docs how to obtain these if you are owner of an Amiga box.
 .
 However, there is a minimal free build-in Kickstart replacement, and
 at least some demo disks are reported to run with it.

Package: uae-dbg
Section: contrib/debug
Priority: extra
Architecture: any
Depends: uae (= ${binary:Version}), ${misc:Depends}
Description: The Ubiquitous Amiga Emulator (debugging)
 UAE is a 100% software Amiga (500) hardware emulator.
 .
 This package includes the symbols for debugging.

=== debian/rules ===
#!/usr/bin/make -f

# Set some extra config options based on OS
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# ALSA: Force on linux based OSs only (see Bug #571967)
ifeq ($(DEB_HOST_ARCH_OS), linux)
EXTRA_CONFIG_OPTIONS = --with-alsa
endif

%:
	dh $@

override_dh_auto_configure:
	# config.*: Strapping would be a pita: it's an autoconf only
	# project, but only automake --add-missing would actually
	# update the most important config.* files. Also, getting a
	# clean tree back would involve hackery.
	# Chosing to update config.* files only.
	mv config.guess config.guess.orig
	mv config.sub config.sub.orig
	cp -a /usr/share/misc/config.sub .
	cp -a /usr/share/misc/config.guess .
	dh_auto_configure -- --with-x --enable-sound --enable-threads --with-sdl-gfx $(EXTRA_CONFIG_OPTIONS)

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) streifenfrei
	# config.*: Move orig files back so we get a clean tree back
	-mv config.guess.orig config.guess
	-mv config.sub.orig config.sub

override_dh_install:
	dh_install uae readdisk usr/bin
	mv ./debian/uae/usr/bin/readdisk ./debian/uae/usr/bin/uae_readdisk
	dh_installdirs /usr/share/uae/
	dh_install configs/ /usr/share/uae/
	tar czvf ./debian/uae/usr/share/uae/amiga.tar.gz amiga/
	dh_install debian/uae-menu.xpm debian/uae.xpm usr/share/pixmaps
	dh_install debian/uae.desktop /usr/share/applications

override_dh_installdocs:
	dh_installdocs docs/

override_dh_installman:
	dh_installman debian/man/uae_readdisk.1 debian/man/uae.1

override_dh_installexamples:
	dh_installexamples debian/uae-confwrap

override_dh_installchangelogs:
	dh_installchangelogs src/ChangeLog

override_dh_strip:
	dh_strip --dbg-package=uae-dbg

=== debian/watch ===
version=3

http://www.amigaemulator.org/files/sources/develop/uae-(.*)\.tar\.bz2

## uae 0.8.29-1

=== debian/control ===
Source: uae
Section: user/other
Priority: extra
Maintainer: Tomasz Sterna <tomek@xiaoka.com>
Build-Depends: debhelper (>= 5), autotools-dev, libc6-dev, libasound2-dev, libfontconfig1-dev, libfreetype6-dev, libgtk2.0-dev
Standards-Version: 3.7.2

Package: uae
Architecture: armel
Depends: ${shlibs:Depends}
Description: UAE-core, the UAE Amiga Emulator
 UAE allows you to run most of the available Amiga software. It is a
 software emulation, meaning that no extra or special hardware is needed to do
 this. The hardware of an Amiga is emulated accurately, so that Amiga software
 is tricked into thinking it is running on the real thing, with your computer's
 display, keyboard, harddisk and mouse taking the parts of their emulated
 counterparts.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAADG1JREFUaN7Nmd2V4zquhT/N6gTgEOAQ6BDoEOQQ5BCkEKQQSiFYIZgh
 mCEUQjBC4H0g/VPd1X3OmZm71vjFy5ZEEMDGxiYE/4+f/nor/TgW/tc/4zgW
 VS30pZQrBZ2L9HMJ91LCvZTrZSwa+v89RyTEQn8v5SJFQl+kn4sIBUJReDqg
 UIZhKKXcCiGWeZ7/a850/x42Pss17DmmG0hgoKMPAIIT2LJjOcOt7fPQoSFw
 GYxuvSN+5H4ZOBxXck7df+LAv/7JzTHEQrwVUNxBOQMwD+/3OOaO++s/c5jn
 Edp/1z5j+UzWK+h/lo0/OhCUEoIWdCzEUmJIXMMBHJakfMQMOOsKyQOigTVB
 toHrhxBxIs51ELblzH6Vuq44+/MIQPmYIMyFWIqEvgSlxBDLf8WB2wfcZmOO
 KwhMeaxBFMgytygLqwfkLeRiE1uS5+9szhjBfKCmQUBHsHN7YASB+5y4fd4Z
 +v9GBuKldGuhW24MvXPRDnRmy1INS48A6gdMLoAhqtC2uGUnISQEEwXxumlP
 LNlBoMwbu6kHXynDjt0U6U7CKV/5u6z1hwys4BtIYDcNxFj/3fjk2q81cCoM
 YoASFNzslQXRtxqQB/wRX1lyu+bgeuE2THi44Xp5PSP9v5+BqJQyZMp4ogwd
 g27s1sItdCAQVcA3TpswDg4OIoK7oWIIYPnljGdDvEJqDAnnCm6vmhg+2Z0V
 8SNl6CgXKMP5P6DRvvySPvEjUY0gzpQj93Fjdx4Zw8o4OAJkD3XDltmykMMN
 DY6sBz4GwAUEumkESSBXyAuIoLJicvtq1M6Q1+4fOzAPVAdcMGD1AAyIr9zH
 TLfdmaVjjHVD4DhwPNeIXj+cdQOz+lvVGXoQpMJGnC0L53xnlD2LzS1K38Bm
 6/6ZAyFo6bWlX6CPwgPNuzUgnvi8XmoxLhvjILheERHydiCECDpDPnGeMqrO
 OIS6GHXdZa2s5O6kcOV8XriPuRZ6C1xLO4ezkM27v5+BeCnQt8jyoj0HZY95
 pMyJLTmnRYH4fHQYnI+P+bWWLwDs9xlr8Kr9ZeN2ASTQHTNzdFZTvBl1i6Da
 MuKw7X7rwI+fRdkczricGjK+QmS3fAILa3bOy0C5bcAGAmaOG+x3xu1qiFTb
 +6NyuyTcE6qKU9mqOwx8fkbmmJjy+FPBAW7PAPxtCKlQPi/y3PA7Zh8OdcvM
 dVgI/YDY2vSPN5v1OVV55A0zR7StFT7B9lQpkhEZsLwib+u/B+xhf8oDy7J0
 fw2h/l4ecPkZQrf+CGTM4DzB/VPZNuM0acO2MI8wtjp0vSJ2wMw5L0rKAmQg
 UD4VPHOanCE6ogEV2K1XvrXvDmnf/Y0+0PLevsDBNrAzbpkQhNiH2uodTpNz
 u83tZmNahJy9wWkhJa+wcdrmQSN0+8y21SjHPhIUzOx7+7Xf/zWEhmEoH3H7
 NoXHxbnMikjj8b1xuwhmlS5dI0Os2FYMcSfOF5bpTIxKdsXN2FKN5scsqMLp
 DNcPeUU727f2XZzDGcx+JZ3nH6JaPHz+Xtj1O4IG3HLFeRwgb8+IPQyaOeKO
 9BeW8xnEGcbY5MWApTOiUmHRQi0acDd256bLJT1YtOo+ybiDJf+9A/SlYAtI
 IlDlgIgTpEoFDZE4REQivh0h3hA/g+Un/LIZnitYhvkTtj0SlJydEAO4YVZh
 hcTGYDN4Apxuunyh7acHD1+/aWo/APoYy6XvXql8aOa3xrJsCXED2zCHQMYl
 IpKfBkRAohD7K57PyHDH1x2hKj38Ibm10aY3GnZjWZ0ydL+1D063/aYPbB7p
 lvha+DefwXYgSsqO6oTEWzOy4jgqgknP6XigD7Cc9nyMQmiIcX9QrIGtpM3p
 hyoCJ78xrW/Fao8eYCDWIJiL+1cY/fgSke8+eWnRTZiBWY14yk4fH+fgR/IE
 8cQ8VDb6GGtWLPtPwjA3pnJyNlT4lWm+2ZNHYOt+zUDpdy/6+kMKl6yIGUtW
 Bpy+Vn+Vyu4g3goZ+mFg2zb6ILjVOkKpHrmTM5yzMksChPIXEH7s7yxDWdeX
 Qn1KiWWDDcE8VC0iATR831iCMMYd5COEDyAAdSOECyGAb8dnbkQbOz1WsFwp
 VWam7AiJZIaL0zfSeGx47L/2qJzXn1koFPrb9/CxBSGjWmmtB8ah8bTDukmV
 yaHHRREUJyB+xiyjIk+p4VZrBIHj5ER1kinZA07gL6H8G4ndlSvlPUXfpXBZ
 IbmSUdxDpT6Be+w4rMJtAIl9o0PYttqNAYZREATPjjda3E+RIJnL2PD/F/Z/
 vt4dX/T/Y7fEChmAMP6Zh5/dheeMx11ePx4tpZfWgfpKlf6Q+MJ5dTAhx0/2
 m38P0QdMGnk8llfNTTUP5SHuumcDq60IlXqw6MUZ+1/V6M+tvjtHomzMgxCG
 a9VOvtXr4dJ0lOEO58nbiY0vUmFJzuaCWcTRWn9/OtTbAnnqGoSk/Ek+J6tz
 nc1rgePgvPUMS0SObSonDLFFU+p67rBszpYcbQOBDWqAovxW+3wXsJQqw21A
 3vwtA9/I5y8QsgSeEU2oZEalzkIfNbKBtk4ce33DrNShlS1sm+F4vVebwHuc
 5tpg67f2v9nfqBPLsnQdYS5CemKsRuZ3faA+n0wxBEdwj1ziRN9H3DNrElJS
 pB/QIORtwc24jpCzcV7g8+PPReoGa3qjdQ/1njC8HPIKoy4oJcv8PYXZgkiN
 OkD/qNc3wwlhiEbsZ8gr51Vg+KjX09YKPXMZqkDcHw2Jdadmoe7H4x87cK1R
 J+pGoA6PTYS8efcjG13QqeS8cB0ghoY5g9NWI51tBFEy/RcGEjtyHzO5or1B
 ptnMGxr7pxPyLglc6wxIAc+tCdacqu0JwdFHjbQiXyyS/ILlA+Z09fTY1U6c
 jQ6caaXUTSpBN3q12gndAG8FXSHkgGiVD+ovnFo2NILqg0UyloxNjL4XQoDL
 kIHdbyGEV3cOK5WZpCfaiWSHzt5L4V1KxBBKmGc4H+lDbVxTnpl8/LWIRMAN
 8WM7kMiXdm+2IZYrzOMM6/HL9fMmrH7/Y5HWDR5RyQTbCLc7nA4lJeuqKujY
 Hg5cZik+zBiB2zViOL0ZygK+kB2mBNlimz8oaE/wGj1vDIQrfVCSKlhGqLQr
 6l9anapDPjaVLLg46o5SJcbYv2g1uRJCZCPD5UY878u0ebel2o1/DH0seahT
 YSVjBITM7hwhXH6SuK2gJIEnonrrlpWRnjPotCH9DFsdw/t3gwN40SiKSY8B
 yWF66jWjzGfWJFWP2Yp9fMK2e00lVI1gmdlPDL5gaUOAuc91Ujx0zHRE3zfI
 UIeyXNn8NfYQfxSxI9IaXjuBRZG3InZyFrA35jFD7Ij4kcCOkR0zHYMc2rzK
 iJoZoqPrnnnU8hJzn6G8V0+yiHhCVdgt16+Y9IfkqH3j0qfKWo93AS24J7s8
 f3ua0JyJwel74TQ5QYUlP1RoW1vHX2qizEdyykjoUbHnXtyc3TF3rYjr6UmD
 sN9nRKxFUSjjjiXB5tSmRTXqegXglI7cQ25c/iKV+jsjHhACGnLt0FDnRsJz
 jSfP+4KQUIxeK2NNayRtYL7iwDwoMQgahGGoB5sfOcNxMlQEEUG1cnlQods+
 v0JX3gxKYtR6vNwdjPv17Y1M3hDPtalIeD66P9biHNSxfGwwi00FgzOSoZLG
 CqNOFUJBMYOU2hk50zLSJnPa5prm3jqeYLlOCWbpGNi9asDOLZNXVhPcHZFC
 dxo4LU53MLSxTx0x1reY9d1BlQVrCrhcaxYExE6IVfzP0nHvd5R+R5C1HgrN
 wSqE1s3IJgytm/9AR5xTHcDmqu9dAtk3urU0PZ9BMlGMILm9kZnquCUJt9vC
 6bTiFuijYeSHiCSaszAQdeV2HTkeF66zI3Tt+TpZzQ7mgcVgsgGkJ/q+9lB5
 vTJQ0Srz9ZvxOiLtzF0JsQw7UoY1NyMWSQSWtaY8+p7YgN9fPoieEIkcV0f6
 Gd8mcpy5XY216XsBDkuoUsKW59gkSGaUzDgCnHDgtCh9L6zJwB0zqYEOgXWt
 EuWHqiII4l7PrgC2oQjden+xUF5AE4GVnqlGQao8PhxWgsLqzjBEMH1NSQTW
 dSFtRg5CNuf+UaVEMn9Kk2yBici0ts7viV5OdQZV+30b01fazu311b/MDHer
 +G9yxFq+ah/Yce93zGFCMQxlotCtdw7r+8vsyvvnKaGxr3Kin3HPbKuRTasA
 F+immW69c8x3pjyTXVEx5jA9baodnw2wIqJt3J11STWAwP8Bt42jrZdTS6sA
 AAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --enable-ui --with-alsa


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/uae.sgml > uae.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/uae.
	$(MAKE) prefix=$(CURDIR)/debian/uae/usr install
	dh_install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.amigaemulator.org/files/sources/develop/uae-(.*)\.tar\.bz2

## uae 0.8.29-2

=== Makefile ===
#CROSS  = arm-linux-
#SDL_BASE = C:/devkitGP2X/bin/arm-linux-
#CROSS  = /opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/arm-open2x-linux-
#SDL_BASE = /opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/
#MORE_CFLAGS += -I/opt/open2x/gcc-4.1.1-glibc-2.3.6/include/

NAME   = uae4all
O      = o
RM     = rm -f
CC     = $(CROSS)gcc
CXX    = $(CROSS)g++
STRIP  = $(CROSS)strip
AS     = $(CROSS)as

PROG   = $(NAME)

all: $(PROG)

CYCLONE_CORE=1
ifndef CYCLONE_CORE
FAME_CORE=1
FAME_CORE_C=1
endif

#DEFAULT_CFLAGS = `$(SDL_BASE)sdl-config --cflags`
DEFAULT_CFLAGS = -I/usr/include/SDL -D_REENTRANT 
#LDFLAGS        = `$(SDL_BASE)sdl-config --libs` -lSDL_mixer -lsmpeg -lstdc++ -lSDL -lmikmod -lm -lz -static
LDFLAGS        = -L/usr/lib -lSDL -lpthread -lz -lXsp
# -static


MORE_CFLAGS += -DGP2X -DN8x0
#-Wall -fprofile-use

MORE_CFLAGS += -Isrc -Isrc/gp2x -Isrc/menu -Isrc/include -Isrc/gp2x/menu -Isrc/vkbd \
 -fomit-frame-pointer -Wno-unused -Wno-format -DUSE_SDL -DGCCCONSTFUNC="__attribute__((const))" \
 -DUSE_UNDERSCORE -fno-exceptions \
 -DOPTIMIZED_FLAGS \
 -DVKBD_ALWAYS 

MORE_CFLAGS += -DNO_SOUND
# \
 -DSHM_SUPPORT_LINKS=0 \
 -DUNALIGNED_PROFITABLE \
 -DOS_WITHOUT_MEMORY_MANAGEMENT \
#-DMENU_MUSIC

MORE_CFLAGS += -DROM_PATH_PREFIX=\"./\" -DDATA_PREFIX=\"./data/\" -DSAVE_PREFIX=\"./saves/\"

#MORE_CFLAGS += -mcpu=arm920 -mtune=arm920t -msoft-float -ffast-math
MORE_CFLAGS += -Os -g -pipe -mcpu=arm1136jf-s -mfpu=vfp -ffast-math

ifndef DEBUG
#MORE_CFLAGS += -O3
#MORE_CFLAGS += -fstrict-aliasing -mstructure-size-boundary=32 -fexpensive-optimizations
MORE_CFLAGS += -fweb -frename-registers -fomit-frame-pointer
#MORE_CFLAGS += -falign-functions=32 -falign-loops -falign-labels -falign-jumps
MORE_CFLAGS += -finline -finline-functions -fno-builtin
else
MORE_CFLAGS += -ggdb
endif

#ASFLAGS += -mfloat-abi=soft -mcpu=arm920t
ASFLAGS += -mcpu=arm1136jf-s -mfpu=vfp

#MORE_CFLAGS+= -DUSE_AUTOCONFIG
#MORE_CFLAGS+= -DUAE_CONSOLE

MORE_CFLAGS+= -DUSE_ZFILE

#MORE_CFLAGS+= -DUAE4ALL_NO_USE_RESTRICT

#MORE_CFLAGS+= -DNO_SOUND
#MORE_CFLAGS+= -DNO_THREADS

#MORE_CFLAGS+= -DDEBUG_TIMESLICE

MORE_CFLAGS+= -DFAME_INTERRUPTS_PATCH
#MORE_CFLAGS+= -DFAME_INTERRUPTS_SECURE_PATCH

# Some games (like Turrican2,3) becomes unstable if this is not enabled
MORE_CFLAGS+= -DSAFE_MEMORY_ACCESS

#MORE_CFLAGS+= -DUAE_MEMORY_ACCESS
#MORE_CFLAGS+= -DERROR_WHEN_MEMORY_OVERRUN

#MORE_CFLAGS+= -DDEBUG_UAE4ALL
#MORE_CFLAGS+= -DDEBUG_UAE4ALL_FFLUSH
#MORE_CFLAGS+= -DDEBUG_M68K
#MORE_CFLAGS+= -DDEBUG_INTERRUPTS
#MORE_CFLAGS+= -DDEBUG_CIA
##MORE_CFLAGS+= -DDEBUG_SOUND
#MORE_CFLAGS+= -DDEBUG_MEMORY
##MORE_CFLAGS+= -DDEBUG_MAPPINGS
#MORE_CFLAGS+= -DDEBUG_DISK
#MORE_CFLAGS+= -DDEBUG_CUSTOM
##MORE_CFLAGS+= -DDEBUG_EVENTS
##MORE_CFLAGS+= -DDEBUG_GFX -DDEBUG_BLITTER
##MORE_CFLAGS+= -DDEBUG_FRAMERATE
##MORE_CFLAGS+= -DAUTO_FRAMERATE=1400
##MORE_CFLAGS+= -DMAX_AUTO_FRAMERATE=4400
##MORE_CFLAGS+= -DAUTO_FRAMERATE_SOUND
#MORE_CFLAGS+= -DSTART_DEBUG=11554
#MORE_CFLAGS+= -DMAX_AUTOEVENTS=11560
#MORE_CFLAGS+= -DAUTO_RUN


#MORE_CFLAGS+= -DPROFILER_UAE4ALL

CFLAGS  = $(DEFAULT_CFLAGS) $(MORE_CFLAGS)

OBJS =	\
	src/audio.o \
	src/autoconf.o \
	src/blitfunc.o \
	src/blittable.o \
	src/blitter.o \
	src/cia.o \
	src/savedisk.o \
	src/compiler.o \
	src/custom.o \
	src/disk.o \
	src/drawing.o \
	src/ersatz.o \
	src/gfxutil.o \
	src/keybuf.o \
	src/main.o \
	src/md-support.o \
	src/memory.o \
	src/missing.o \
	src/gui.o \
	src/od-joy.o \
	src/sound_gp2x.o \
	src/sdlgfx.o \
	src/writelog.o \
	src/zfile.o \
	src/menu/fade.o \
	src/vkbd/vkbd.o \
	src/gp2x/memcpy.o \
	src/gp2x/memset.o \
	src/gp2x/gp2x.o \
	src/gp2x/inputmode.o \
	src/gp2x/volumecontrol.o \
	src/gp2x/menu/menu.o \
	src/gp2x/menu/menu_fileinfo.o \
	src/gp2x/menu/menu_load.o \
	src/gp2x/menu/menu_main.o \
	src/gp2x/menu/menu_overclock.o \
	src/gp2x/cpuspeed/cpu_speed.o



ifdef FAME_CORE
ifdef FAME_CORE_C
CFLAGS+=-DUSE_FAME_CORE -DUSE_FAME_CORE_C
src/m68k/fame/famec.o: src/m68k/fame/famec.cpp
OBJS += src/m68k/fame/famec.o
else
CFLAGS+=-DUSE_FAME_CORE
src/m68k/fame/fame.o: src/m68k/fame/fame.asm
	nasm -f elf src/m68k/fame/fame.asm
OBJS += src/m68k/fame/fame.o
endif
OBJS += src/m68k/fame/m68k_intrf.o
OBJS += src/m68k/m68k_cmn_intrf.o
else # FAME_CORE
ifdef CYCLONE_CORE
# use all FAME hacks in uae code for Cyclone too
CFLAGS+=-DUSE_FAME_CORE
CFLAGS+=-DUSE_CYCLONE_CORE
OBJS += src/m68k/cyclone/cyclone.o
OBJS += src/m68k/m68k_cmn_intrf.o
OBJS += src/m68k/cyclone/m68k_intrf.o
# asm memhandlers
CFLAGS+=-DUSE_CYCLONE_MEMHANDLERS
OBJS += src/m68k/cyclone/memhandlers.o
else
OBJS += \
	src/m68k/uae/newcpu.o \
	src/m68k/uae/readcpu.o \
	src/m68k/uae/cpudefs.o \
	src/m68k/uae/fpp.o \
	src/m68k/uae/cpustbl.o \
	src/m68k/uae/cpuemu.o
endif
endif



CPPFLAGS  = $(CFLAGS)

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) -o $(PROG) $(OBJS) $(LDFLAGS)
ifndef DEBUG
	#$(STRIP) $(PROG)
endif


run: $(PROG)
	./$(PROG)

clean:
	$(RM) $(PROG) $(OBJS)

up: $(PROG)
	cp -v $< /mnt/gp2x/mnt/sd/emus/uae4all/

=== src/Makefile ===
--- 
+++ 
@@ -3,27 +3,23 @@
 #
 
 
-CC        = arm-linux-gnueabi-gcc
+CC        = gcc
 WRC       = not-found
-CPP       = arm-linux-gnueabi-gcc -E
-LDFLAGS   = -Wl,-z,defs -L.
-CFLAGS    = -O2 -fomit-frame-pointer  -Wall -Wno-unused -Wno-format -W -Wmissing-prototypes -Wstrict-prototypes   -DUSING_GTK_GUI -I/home/smoku/Projects/uae-m/src/gui-gtk -DREGPARAM= -DUSE_ZFILE -DSUPPORT_THREADS -D_REENTRANT -D__inline__=inline \
-		-DSYSTEM_ROMDIR=\"$(datadir)/uae/roms\" \
-		-DSYSTEM_CFGDIR=\"$(datadir)/uae/configs\"
-X_CFLAGS  =  -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -DSHM_SUPPORT_LINKS=1
+CPP       = gcc -E
+LDFLAGS   =  -L.
+CFLAGS    = -O2 -fomit-frame-pointer  -Wall -Wno-unused -Wno-format -W -Wmissing-prototypes -Wstrict-prototypes   -DGCCCONSTFUNC="__attribute__((const))" -DREGPARAM= -DUSE_ZFILE -DSUPPORT_THREADS -D_REENTRANT -D__inline__=inline
+X_CFLAGS  =  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   -DSHM_SUPPORT_LINKS=1
 TARGET    = x11
-LIBRARIES =   -lSM -lICE -lXext -lX11   -lasound -lpthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
+LIBRARIES =   -lSM -lICE -lXext -lX11   -lasound -lpthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
 MATHLIB   = -lm
 RESOBJS   = 
 
 NO_SCHED_CFLAGS = 
 
-INSTALL         = /scratchbox/tools/bin/install -c
-INSTALL_PROGRAM = ${INSTALL}
-INSTALL_DATA    = ${INSTALL} -m 644
-prefix          = /usr
-datarootdir     = ${prefix}/share
-datadir         = ${datarootdir}
+INSTALL         = @INSTALL@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_DATA    = @INSTALL_DATA@
+prefix          = /usr/local
 exec_prefix     = ${prefix}
 bindir          = ${exec_prefix}/bin
 libdir          = ${exec_prefix}/lib
@@ -37,18 +33,14 @@
 
 INCLUDES=-I. -I../src/include/
 
-OBJS =  main.o newcpu.o memory.o cpuemu.o custom.o cia.o serial.o blitter.o \
-	autoconf.o ersatz.o filesys.o hardfile.o keybuf.o expansion.o zfile.o \
-	fpp.o readcpu.o cpudefs.o gfxutil.o traps.o blitfunc.o blittable.o \
-	gayle.o rommgr.o disk.o audio.o drawing.o cpustbl.o inputdevice.o \
-	uaelib.o picasso96.o uaeexe.o bsdsocket.o bsdsocket-posix-new.o \
-	missing.o \
-	sd-sound.o od-joy.o md-support.o \
-	fsusage.o cfgfile.o native2amiga.o fsdb.o identify.o timemgr.o crc32.o \
-	savestate.o writelog.o \
-	hotkeys.o keymap/keymap.o keymap/x11pc_rawkeys.o \
-	sinctable.o \
-	 xwin.o x11keys.o  guidep/gtkui.o guidep/util.o debug.o scsi-none.o fsdb_unix.o
+OBJS = main.o newcpu.o memory.o cpuemu.o custom.o cia.o serial.o blitter.o \
+       autoconf.o ersatz.o filesys.o hardfile.o keybuf.o expansion.o zfile.o \
+       fpp.o readcpu.o cpudefs.o gfxutil.o gfxlib.o blitfunc.o blittable.o \
+       disk.o audio.o uaelib.o drawing.o picasso96.o cpustbl.o inputdevice.o \
+       uaeexe.o bsdsocket.o missing.o sd-sound.o od-joy.o md-support.o \
+       fsusage.o cfgfile.o native2amiga.o fsdb.o identify.o crc32.o \
+       savestate.o writelog.o hotkeys.o \
+        xwin.o x11keys.o gtkui.o debug.o scsi-none.o fsdb_unix.o
 
 
 all: $(TARGET)
@@ -94,11 +86,9 @@
 	-rm -f $(OBJS)
 
 streifenfrei: clean
-	$(MAKE) -C tools streifenfrei
 	-rm -f Makefile sysconfig.h
 	-rm -f od-joy.c md-X86.S sd-sound.c md-support.c
-	-rm -f machdep osdep threaddep sounddep target.h
-	-rm -f md-fpp.h
+	-rm -f machdep osdep threaddep sounddep target.h config.h
 
 blit.h: tools/genblitter
 	./tools/genblitter i >blit.h
@@ -157,12 +147,24 @@
 build68k.o: include/readcpu.h
 readcpu.o: include/readcpu.h
 
-cia.o: include/events.h
-custom.o: include/events.h blit.h
-newcpu.o: include/events.h
-audio.o: include/events.h
-disk.o: include/events.h
-blitter.o: include/events.h blit.h
+main.o: config.h
+cia.o: config.h include/events.h
+custom.o: config.h include/events.h blit.h
+newcpu.o: config.h include/events.h
+autoconf.o: config.h
+expansion.o: config.h
+xwin.o: config.h
+svga.o: config.h
+audio.o: config.h include/events.h
+memory.o: config.h
+debug.o: config.h
+identify.o: config.h
+fpp.o: config.h
+ersatz.o: config.h
+filesys.o: config.h
+execlib.o: config.h
+disk.o: config.h include/events.h
+blitter.o: config.h include/events.h blit.h
 
 # sam: this is for people with low memory. (is there a way do do this with a single rule ?)
 cpuemu1.o: cpuemu.c

=== src/tools/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile.in for UAE tools
#


CC        = gcc
LDFLAGS   = 
CFLAGS    = -O2 -fomit-frame-pointer  -Wall -Wno-unused -Wno-format -W -Wmissing-prototypes -Wstrict-prototypes   -DGCCCONSTFUNC="__attribute__((const))" -DREGPARAM= -DUSE_ZFILE -DSUPPORT_THREADS -D_REENTRANT -D__inline__=inline -DUAE_CONSOLE
LIBRARIES = 

INSTALL         = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA    = @INSTALL_DATA@
prefix          = /usr/local
exec_prefix     = ${prefix}
bindir          = ${exec_prefix}/bin
libdir          = ${exec_prefix}/lib
sysconfdir      = ${prefix}/etc

VPATH = /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools

.SUFFIXES: .o .c .h .m .i .S

INCLUDES=-I. -I/home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../include/ -I/home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools

all: gencpu build68k genblitter cpuopti

install:


clean:
	-rm -f *.o
	-rm -f gencpu genblitter cpuopti build68k


streifenfrei: clean

genblitter: genblitter.o blitops.o writelog.o
	$(CC) $(LDFLAGS) -o genblitter genblitter.o blitops.o writelog.o
build68k: build68k.o writelog.o
	$(CC) $(LDFLAGS) -o build68k build68k.o writelog.o
cpuopti: cpuopti.o writelog.o
	$(CC) $(LDFLAGS) -o cpuopti cpuopti.o writelog.o
gencpu: gencpu.o readcpu.o cpudefs.o missing.o writelog.o
	$(CC) $(LDFLAGS) -o gencpu gencpu.o readcpu.o cpudefs.o missing.o writelog.o

custom.o: blit.h
drawing.o: linetoscr.c

cpudefs.c: build68k /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../table68k
	./build68k </home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../table68k >cpudefs.c

# Normally I'd move the programs into this directory, but given that CVS
# sucks I have no choice but to leave them in their previous directory.
missing.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../missing.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../missing.c -o $@
readcpu.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../readcpu.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../readcpu.c -o $@
writelog.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../writelog.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../writelog.c -o $@
genblitter.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../genblitter.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../genblitter.c -o $@
gencpu.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../gencpu.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../gencpu.c -o $@
build68k.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../build68k.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../build68k.c -o $@
blitops.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../blitops.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../blitops.c -o $@
cpuopti.o: /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../cpuopti.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(DEBUGFLAGS) /home/maemo/sbold/uae/uae-0.8.25_chinook/src/tools/../cpuopti.c -o $@

.c.o:
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $(CFLAGS_$@) $< -o $@
.c.s:
	$(CC) $(INCLUDES) -S $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< -o $@
.c.i:
	$(CC) $(INCLUDES) -E $(INCDIRS) $(CFLAGS) $(X_CFLAGS) $(DEBUGFLAGS) $< > $@

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: user/other
 Priority: extra
 Maintainer: Tomasz Sterna <tomek@xiaoka.com>
-Build-Depends: debhelper (>= 5), autotools-dev, libc6-dev, libasound2-dev, libfontconfig1-dev, libfreetype6-dev, libgtk2.0-dev
+Build-Depends: debhelper (>= 5), autotools-dev, libc6-dev, libasound2-dev, libfontconfig1-dev, libfreetype6-dev, libgtk2.0-dev, libhildon1-dev
 Standards-Version: 3.7.2
 
 Package: uae
-Architecture: armel
+Architecture: any
 Depends: ${shlibs:Depends}
 Description: UAE-core, the UAE Amiga Emulator
  UAE allows you to run most of the available Amiga software. It is a

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,11 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --enable-ui --with-alsa
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
+		--prefix=/usr --mandir=\$${prefix}/share/man \
+		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" \
+		--enable-ui --enable-sound --with-x --with-alsa --enable-threads \
+		2>&1 | tee debian/configure.log
 
 
 build: build-stamp
@@ -36,8 +40,21 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
-	#docbook-to-man debian/uae.sgml > uae.1
+	@if ( grep --quiet "Configuration was successful" debian/configure.log || \
+		grep --quiet "There were 1 warnings. That is usually harmless" debian/configure.log ) && \
+		$(MAKE) ; \
+			then	echo && \
+						echo "Target $@ successfully build!" && \
+						echo ;\
+			else	echo && \
+						echo "Configuration or building for target $@ failed for your system setup!" && \
+						echo && \
+						echo "Either" && \
+						echo " 1. The source dependencies aren't met." &&\
+						echo " 2. This is a bug for arch $(DEB_HOST_ARCH). Please report." &&\
+						echo &&\
+						exit 1 ;\
+	fi
 
 	touch $@
 
@@ -54,7 +71,6 @@
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-
 
 	dh_clean
